---
title: Document.createEntityReference()
slug: Web/API/Document/createEntityReference
tags:
  - API
  - DOM
  - Method
  - Obsolete
  - Reference
---
<div>{{ ApiRef("DOM") }} {{ obsolete_header("7.0") }}</div>

<p>Prior to {{ gecko("7.0") }} this method showed up as present, due to bug {{ bug("9850") }}, it always only returned null. The only workaround is to create a text node, CDATA section, attribute node value, etc. which has the value referred to by the entity, using <a href="/en/JavaScript/Guide/Obsolete_Pages/Unicode#Unicode_escape_sequences" title="en/Core_JavaScript_1.5_Guide/Unicode#Unicode_escape_sequences">Unicode escape sequences</a> or <a href="/en/JavaScript/Reference/Global_Objects/String/fromCharCode" title="en/Core_JavaScript_1.5_Reference/Global_Objects/String/fromCharCode">fromCharCode()</a> as necessary.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.w3.org/TR/DOM-Level-3-Core/core.html#ID-392B75AE">createEntityReference</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.createEntityReference")}}</p>
